FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000822FL51.1 FLCLpublic2016-08-31 09:352016-10-11 15:36
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformSystem zOSz/OSOS VersionV2R20
Product Version5.1.12 
Target Version5.1.14Fixed in Version5.1.13 
Summary0000822: Add support for system variables on z/OS
DescriptionCurrently FLCL handles with a lot of environments variables. Some of them are very important (LANG) and it would be helpful to support them also as system variables (JCL symbol) which can be defined in PARMLIB member IEASYM.

A system variable can be overruled by environment varibale, but if no environment variable is defined, then the corresponding system variable is used.
Additional InformationFor the runtime environment the function __le_ceegtjs provides access to the JCL symbols.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001021)
Falk Reichbott (administrator)
2016-08-31 09:49

the __le_ceegtjs service requires AMODE64 and is available sinse v2r1 of z/OS. This means that we must use the SYMVAR macro assembler modules.
(0001026)
Falk Reichbott (administrator)
2016-09-29 13:52

For simply definition of environment variable lang the 3 system variable can be used.

&FLANGCC - Country code (de)
&FLANGLC - Language code (DE)
&FLCCSID - CCSID for envar LANG

The envar lang will be build by
&FLANGCC_&FLANGLC.&FLCCSID (de_DE.IBM1141)
(0001029)
Falk Reichbott (administrator)
2016-10-11 15:36

Few of the environment variables can now (>5.1.13-15352) be predefined over system variables on z/OS. See install.txt for more information.

- Issue History
Date Modified Username Field Change
2016-08-31 09:35 Falk Reichbott New Issue
2016-08-31 09:35 Falk Reichbott Status new => assigned
2016-08-31 09:35 Falk Reichbott Assigned To => Falk Reichbott
2016-08-31 09:49 Falk Reichbott Note Added: 0001021
2016-09-05 14:50 Ulrich Schwab Description Updated View Revisions
2016-09-29 13:52 Falk Reichbott Note Added: 0001026
2016-10-11 15:36 Falk Reichbott Note Added: 0001029
2016-10-11 15:36 Falk Reichbott Status assigned => resolved
2016-10-11 15:36 Falk Reichbott Fixed in Version => 5.1.13
2016-10-11 15:36 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker